JcaX500NameUtil (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.jcajce

## Class JcaX500NameUtil

- java.lang.Object
- - org.bouncycastle.cert.jcajce.JcaX500NameUtil

-     public class JcaX500NameUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaX500NameUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.bouncycastle.asn1.x500.X500Name` | `getIssuer(org.bouncycastle.asn1.x500.X500NameStyle style, java.security.cert.X509Certificate certificate)`
    `static org.bouncycastle.asn1.x500.X500Name` | `getIssuer(java.security.cert.X509Certificate certificate)`
    `static org.bouncycastle.asn1.x500.X500Name` | `getSubject(org.bouncycastle.asn1.x500.X500NameStyle style, java.security.cert.X509Certificate certificate)`
    `static org.bouncycastle.asn1.x500.X500Name` | `getSubject(java.security.cert.X509Certificate certificate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaX500NameUtil

          public JcaX500NameUtil()

  - ### Method Detail

    - #### getIssuer

          public static org.bouncycastle.asn1.x500.X500Name getIssuer(java.security.cert.X509Certificate certificate)

    - #### getSubject

          public static org.bouncycastle.asn1.x500.X500Name getSubject(java.security.cert.X509Certificate certificate)

    - #### getIssuer

          public static org.bouncycastle.asn1.x500.X500Name getIssuer(org.bouncycastle.asn1.x500.X500NameStyle style,
                                                      java.security.cert.X509Certificate certificate)

    - #### getSubject

          public static org.bouncycastle.asn1.x500.X500Name getSubject(org.bouncycastle.asn1.x500.X500NameStyle style,
                                                       java.security.cert.X509Certificate certificate)